Show / Hide Table of Contents

# Struct hkaAnimationBinding

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaAnimationBinding

### Fields

| Improve this Doc View Source

#### Animation

##### Declaration

    public hkRefPtr<hkaAnimation> Animation

##### Field Value

Type | Description
--- | ---
hkRefPtr<hkaAnimation> |

| Improve this Doc View Source

#### BlendHint

##### Declaration

    public hkEnum<hkaAnimationBinding.BlendHintEnum, sbyte> BlendHint

##### Field Value

Type | Description
--- | ---
hkEnum<hkaAnimationBinding.BlendHintEnum, System.SByte> |

| Improve this Doc View Source

#### FloatTrackToFloatSlotIndices

##### Declaration

    public hkArray<short> FloatTrackToFloatSlotIndices

##### Field Value

Type | Description
--- | ---
hkArray<System.Int16> |

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### OriginalSkeletonName

##### Declaration

    public hkStringPtr OriginalSkeletonName

##### Field Value

Type | Description
--- | ---
hkStringPtr |

| Improve this Doc View Source

#### PartitionIndices

##### Declaration

    public hkArray<short> PartitionIndices

##### Field Value

Type | Description
--- | ---
hkArray<System.Int16> |

| Improve this Doc View Source

#### TransformTrackToBoneIndices

##### Declaration

    public hkArray<short> TransformTrackToBoneIndices

##### Field Value

Type | Description
--- | ---
hkArray<System.Int16> |